Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

## Class AccountInterest3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_04.AccountInterest3

    public class AccountInterest3
    extends java.lang.Object

Java class for AccountInterest3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountInterest3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}InterestType1Choice" minOccurs="0"/>
             <element name="Rate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Rate3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}DateTimePeriodDetails" minOccurs="0"/>
             <element name="Rsn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}TaxCharges2" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected DateTimePeriodDetails` `frToDt`
`protected java.util.List<Rate3>` `rate`
`protected java.lang.String` `rsn`
`protected TaxCharges2` `tax`
`protected InterestType1Choice` `tp`

### Constructor Summary

Constructors
`AccountInterest3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DateTimePeriodDetails` `getFrToDt()` Gets the value of the frToDt property.
`java.util.List<Rate3>` `getRate()` Gets the value of the rate property.
`java.lang.String` `getRsn()` Gets the value of the rsn property.
`TaxCharges2` `getTax()` Gets the value of the tax property.
`InterestType1Choice` `getTp()` Gets the value of the tp property.
`void` `setFrToDt​(DateTimePeriodDetails value)` Sets the value of the frToDt property.
`void` `setRsn​(java.lang.String value)` Sets the value of the rsn property.
`void` `setTax​(TaxCharges2 value)` Sets the value of the tax property.
`void` `setTp​(InterestType1Choice value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected InterestType1Choice tp

#### rate

    protected java.util.List<Rate3> rate

#### frToDt

    protected DateTimePeriodDetails frToDt

#### rsn

    protected java.lang.String rsn

#### tax

    protected TaxCharges2 tax

### Constructor Detail

#### AccountInterest3

    public AccountInterest3()

### Method Detail

#### getTp

    public InterestType1Choice getTp()

Gets the value of the tp property.

Returns:
  possible object is `InterestType1Choice`

#### setTp

    public void setTp​(InterestType1Choice value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `InterestType1Choice`

#### getRate

    public java.util.List<Rate3> getRate()

Gets the value of the rate property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rate property.

For example, to add a new item, do as follows:

        getRate().add(newItem);

Objects of the following type(s) are allowed in the list `Rate3`

#### getFrToDt

    public DateTimePeriodDetails getFrToDt()

Gets the value of the frToDt property.

Returns:
  possible object is `DateTimePeriodDetails`

#### setFrToDt

    public void setFrToDt​(DateTimePeriodDetails value)

Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DateTimePeriodDetails`

#### getRsn

    public java.lang.String getRsn()

Gets the value of the rsn property.

Returns:
  possible object is `String`

#### setRsn

    public void setRsn​(java.lang.String value)

Sets the value of the rsn property.

Parameters:
  `value` - allowed object is `String`

#### getTax

    public TaxCharges2 getTax()

Gets the value of the tax property.

Returns:
  possible object is `TaxCharges2`

#### setTax

    public void setTax​(TaxCharges2 value)

Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxCharges2`